# classes/phing/mappers/MergeMapper.php

For merging files into a single file. In practice just returns whatever value was set for "to".

author
  Andreas Aderhold
package
  phing.mappers
version
  $Revision: 1097 $

## \MergeMapper
jump to top

For merging files into a single file. In practice just returns whatever value was set for "to".

Implements
  \FileNameMapper
author
  Andreas Aderhold
package
  phing.mappers
version
  $Revision: 1097 $

### Properties

`$mergedFile= ''`

the merge

Details

Type

### Methods

`main( mixed $sourceFileName ) : mixed`
The mapper implementation. Basically does nothing in this case.
Parameters

Name | Type | Description
--- | --- | ---
$sourceFileName | mixed | The data the mapper works on

Returns

Type | Description
--- | ---
mixed |

Details

access
  public
author
  Andreas Aderhold, andi@binarycloud.com

`setFrom( $from ) :`
Ignored.
Parameters

Name | Type | Description
--- | --- | ---
$from |  |

`setTo( string $to ) : boolean`
Accessor. Sets the to property
Parameters

Name | Type | Description
--- | --- | ---
$to | string | To what this mapper should convert the from string

Returns

Type | Description
--- | ---
boolean |

Details

access
  public
author
  Andreas Aderhold, andi@binarycloud.com

Documentation was generated by DocBlox 0.13.1.